package ru.ulstu.conference.model;

import java.util.List;

public class ConferenceFilterDto {

    private List<ConferenceDto> papers;
    private Integer filterAuthorId;
    private Integer year;

    public ConferenceFilterDto() {
    }

    public ConferenceFilterDto(List<ConferenceDto> conferenceDtos, Integer filterAuthorId, Integer year) {
        this.papers = conferenceDtos;
        this.filterAuthorId = filterAuthorId;
        this.year = year;
    }

    public List<ConferenceDto> getPapers() {
        return papers;
    }

    public void setPapers(List<ConferenceDto> papers) {
        this.papers = papers;
    }

    public Integer getFilterAuthorId() {
        return filterAuthorId;
    }

    public void setFilterAuthorId(Integer filterAuthorId) {
        this.filterAuthorId = filterAuthorId;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }
}
